# MyEventHandler Class Reference

This is so user can trap events and do useful stuff. More...

`#include <MyEventHandler.hpp>`

Inheritance diagram for MyEventHandler:
[legend]
Collaboration diagram for MyEventHandler:
[legend]

List of all members.

## Public Member Functions
Overrides
virtual int | event (Event whichEvent)
| This can do whatever it likes.
Constructors, destructor etc
| MyEventHandler ()
| Default constructor.
| MyEventHandler (ClpSimplex *model)
| Constructor with pointer to model (redundant as setEventHandler does).
virtual | ~MyEventHandler ()
| Destructor.
| MyEventHandler (const MyEventHandler &rhs)
| The copy constructor.
MyEventHandler & | operator= (const MyEventHandler &rhs)
| Assignment.
virtual ClpEventHandler * | clone () const
| Clone.

## Detailed Description

This is so user can trap events and do useful stuff.

This is used in Clp/Test/unitTest.cpp

ClpSimplex model_ is available as well as anything else you care to pass in

Definition at line 18 of file MyEventHandler.hpp.

## Constructor & Destructor Documentation

MyEventHandler::MyEventHandler | ( |  | ) |

Default constructor.

MyEventHandler::MyEventHandler | ( | ClpSimplex * | model | ) |

Constructor with pointer to model (redundant as setEventHandler does).

virtual MyEventHandler::~MyEventHandler | ( |  | ) | `[virtual]`

Destructor.

MyEventHandler::MyEventHandler | ( | const MyEventHandler & | rhs | ) |

The copy constructor.

## Member Function Documentation

virtual int MyEventHandler::event | ( | Event | whichEvent | ) | `[virtual]`

This can do whatever it likes.

If return code -1 then carries on if 0 sets ClpModel::status() to 5 (stopped by event) and will return to user. At present if <-1 carries on and if >0 acts as if 0 - this may change. For ClpSolve 2 -> too big return status of -2 and -> too small 3

Reimplemented from ClpEventHandler.

MyEventHandler& MyEventHandler::operator= | ( | const MyEventHandler & | rhs | ) |

Assignment.

Reimplemented from ClpEventHandler.

virtual ClpEventHandler* MyEventHandler::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from ClpEventHandler.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Clp-1.15.11/Clp/src/MyEventHandler.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines